Skater XL

XLGearModifier for Skater XL

Released (updated ago). Ranked 121 of 17,800 with 45,257 (34 today) downloads

Published by mcbtay - learn more (mod ID: 953573)

xlgm_banner_clean_re-brand_dark.png
screenshot_1.png
screenshot_1.1.png
unknown_2.png
screenshot_37.png
screenshot_7.png
screenshot_13.png
screenshot_5_2.png
screenshot_3.png

Welcome to the future of XLGM!!

[v2.0.0 - OFFICIAL RELEASE - WORKS ONLY WITH SKATER XL 1.2.2.8 (Public)]

Over the last year and a half, we've taken a break to really evaluate what was important and what needed changing , all of which finally got this mod back on track. Thanks to a little help from Easy Day Studios, by releasing the latest version of SXL, and countless hours from mcbtay, we are finally able to bring you XLGM 2.0.

PLEASE IGNORE ALL OTHER VERSIONS OF THIS MOD. THEY ARE NOT OUR OFFICIAL RELEASE AND THEY COULD POSSIBLY CONTAIN MALWARE, VIRUSES, OR UNWANTED/BAD THINGS

You can install this through UMM just like any other script mod.

⚠️ ASSETBUNDLES FROM XLGM v1.5 WILL NOT WORK!⚠️

⚠️ PLEASE MOVE THEM TO A DIFFERENT FOLDER AS TO NOT CONFUSE YOURSELF ⚠️

Known Issues:

  • * XLMenuMod compatibility - For now, the mod is compatible with XLMenuMod, but on the "Custom Meshes" tab, you won't see your folders or anything quite yet. Still actively working on this.
  • * Clothing Gear MetaData Script - Sometimes the Alpha threshold selection or value will no longer save your changes. The only way to fix this is to delete the entire script and add it again.

10,000 ft Overview: XLGearModifier adds a new tabs to your Gear selection screen. -- Custom Meshes. These are added to the end of your list of categories (between Skin Tone and Custom Wheels). There are two main types of gear in XLGearModifier: those that are completely unique assets (think like facial hair or glasses) and those that are "based on default gear" (think like the backwards hats or open hoodie). Completely unique assets are textured through the gear folder just like any other asset, with their file name being dictated by the Prefix set up in the XLGMClothingGearMetadata script. "Based On Default Gear" assets are also textured through the gear folder, however, they leverage existing textures. For example, the longer sleeved t-shirt. While you can technically make textures specifically for that mesh, the UV is similar enough that we can also use all of the existing MShirt textures.

Also included is a Starter Texture Pack for assets delivered with the mod (place in GEAR folder):
XLGM.2.0.Default.Meshes.Texture.Starter.Pack.zip

Official XLGearModifier discord server:
The HUB for all things XLGM! Need help? Wanna talk about meshes? Wanna share and download community creations? Hop on in!

discord.gg/xlgm

Project GitHub
github.com/MCBTay/XLGearModifier

Releases

FilenameUploaderSizeVersionAddedOptions
xlgearmodifier-2-0-1.zipmcbtay377.13mb2.0.1

xlgearmodifier-2-0-0.zipRedgouf377.13mb2.0.0

xlgearmodifier-1-5-0.zipmcbtay114.51mb1.5.0

345 comments

Join the community or sign in with your gaming account to join the conversation:

C
Chives1664646878 @chives1664646878

Discord Invite expired :(

ZinCHa
ZinCHa @zincha

and will work on 1.2.2.5

grrnn
grrnn @grrnn

read. the. description.

I make gear
I make gear @markus9789

I play on 1.2.2.5 which i downloaded off a random sketchy website, so I can't change it. Will any of the versions work on 1.2.2.5?

antikz
antikz @antikz

Ya dude wrong place to admit to playing with a cracked version lol

Nilsen
Nilsen @nilsen

That Discord invite is invalid

WeWillNOTBeSilenced
WeWillNOTBeSilenced @godgavemefreedom

Thats sad it doesnt work with the old version anymore.... why

mcbtay
mcbtay @mcbtay

because code the mod now depends on in the game, does not exist in those old versions. why not upgrade to current versions?

max♔
max♔ @max26a74Z02t4DCet

it doesn't work i have 2-0-1 and 1.2.2.8

antikz
antikz @antikz

It most definitely does. If every other person besides yourself has succesfully installed with zero issue then perhaps you have created a problem for yourself. I personally use v2.0.0 because i find it makes my game more stable overall but i do run XLMenuMod which is stated to not be fully compatible. Hopefully you have figured it out though!

JO
jonnydrama @jonnydrama

so i have to rebuy the game if i have 1.2.2.4? I bought early access a long *** time ago, or do i have to update or something?

mcbtay
mcbtay @mcbtay

no you don't have to rebuy the game. i forgot beta was 1.2.2.4. switch to public or alpha branch.

H2
h20xxxtentmax @h20xxxtentmax

how do u get the xlgm backgrounds

justfumiz
justfumiz @justfumiz

is 2.0.0 different from 20,1?

mcbtay
mcbtay @mcbtay

Yes, I'm not releasing new versions just for fun.

LM
L14M1648642152 @l14m1648642152

is there a tutorial on how to properly install

mcbtay
mcbtay @mcbtay

drag it into Unity Mod Manager just like any other script mod

JoshProwl1
JoshProwl1 @joshprowl1

Okay, so I have downloaded the new version. Do I switch from beta in steam to alpha or none?

mcbtay
mcbtay @mcbtay

either at the current moment. they're the same build.

D
Drinya88 @drinya88

Make for v1.2.2.5, plz

mcbtay
mcbtay @mcbtay

buy the game, plz

WeWillNOTBeSilenced
WeWillNOTBeSilenced @godgavemefreedom

no ):